Skip to main content
PATCH
/
v0
/
chatbots
/
chatbot
/
{chatbotId}
/
settings
/
advanced
Update Advanced Settings
curl --request PATCH \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v0/chatbots/chatbot/{chatbotId}/settings/advanced \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "temperature": 123,
  "topK": 123,
  "creativity": "<string>",
  "webhookUrl": "<string>",
  "webhookToken": "<string>"
}
'
{
  "success": false,
  "message": "Update advanced settings",
  "data": null,
  "error": {
    "code": "MISSING_JWT",
    "message": "Authorization header is missing",
    "details": null
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

Body

application/json

Coming soon — temperature, topK, creativity, webhookUrl, webhookToken

temperature
number

TODO: not yet implemented

topK
integer

TODO: not yet implemented

creativity
string

TODO: not yet implemented

webhookUrl
string

TODO: not yet implemented

webhookToken
string

TODO: not yet implemented

Response

Unauthorized

success
boolean
Example:

false

message
string

Human-readable context of the failed operation (e.g. 'Fetch appearance settings')

data
object
Example:

null

error
object